--- grx246p1/src/fonts/fdv_xwin.c	2000-11-05 04:58:56.000000000 +0200
+++ grx246/src/fonts/fdv_xwin.c	2003-02-24 21:08:53.000000000 +0200
@@ -25,6 +25,7 @@
 #include "libxwin.h"
 #include "grfontdv.h"
 #include "allocate.h"
+#include "arith.h"
 
 static XFontStruct *    fontp = NULL;
 static Pixmap           fontbmp = None;
@@ -103,8 +104,8 @@
   hdr->width      = fontp->max_bounds.width;
   hdr->height     = fontp->ascent + fontp->descent;
   hdr->baseline   = fontp->ascent;
-  hdr->ulpos      = fontp->ascent;
-  hdr->ulheight   = fontp->descent;
+  hdr->ulheight   = imax(1,(hdr->height / 15));
+  hdr->ulpos      = hdr->height - hdr->ulheight;
   hdr->minchar    = fontp->min_char_or_byte2;
   hdr->numchars   = fontp->max_char_or_byte2 - fontp->min_char_or_byte2 + 1;
   return(TRUE);
